;-------------------------------------------------------------------------------
display_cycle0
;-------------------------------------------------------------------------------
#ifdef MONO
    LedOut  Ar_reg,Ax_dir,1  ; Top LED #1
    bsf     Ax_dir,2   
    bsf     Ax_dir,4 
    bsf     Ax_dir,5 ; bi color
#else
    LedOut  Ab_reg,Ax_dir,1    
    LedOut  Ar_reg,Ax_dir,2   
    LedOut  Ag_reg,Ax_dir,4   
    bsf     Ax_dir,5
#endif

    banksel TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA

    banksel PORTA
    movlw   b'00000001'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle0

    goto return_display_cycle

;-------------------------------------------------------------------------------
display_cycle1
;-------------------------------------------------------------------------------
#ifdef MONO
    bsf     Ax_dir,0 ; bi color
    LedOut  Er_reg,Ax_dir,2 
    bsf     Ax_dir,4  
    bsf     Ax_dir,5  
#else
    bsf     Ax_dir,0
    LedOut  Eb_reg,Ax_dir,2   
    LedOut  Er_reg,Ax_dir,4  
    LedOut  Eg_reg,Ax_dir,5 
#endif

    banksel TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    
    banksel PORTA
    movlw   b'00000010'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle1

    goto return_display_cycle

;-------------------------------------------------------------------------------
display_cycle2
;-------------------------------------------------------------------------------
#ifdef MONO
    bsf     Ax_dir,0    
    bsf     Ax_dir,1 ; bi color
    LedOut  Cr_reg,Ax_dir,4   ; LED #3 
    bsf     Ax_dir,5
#else
    LedOut  Cg_reg,Ax_dir,0 
    bsf     Ax_dir,1
    LedOut  Cb_reg,Ax_dir,4 
    LedOut  Cr_reg,Ax_dir,5
#endif

    banksel TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA

    banksel PORTA
    movlw   b'00000100'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle2

    goto return_display_cycle

;-------------------------------------------------------------------------------
display_cycle3
;-------------------------------------------------------------------------------
#ifdef MONO
    bsf     Ax_dir,0  
    bsf     Ax_dir,1    
    bsf     Ax_dir,2
    LedOut  Dr_reg,Ax_dir,5  
#else
    LedOut  Dr_reg,Ax_dir,0  
    LedOut  Dg_reg,Ax_dir,1 
    bsf     Ax_dir,2
    LedOut  Db_reg,Ax_dir,5
#endif

    banksel TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA

    banksel PORTA
    movlw   b'00010000'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle3

    goto return_display_cycle

;-------------------------------------------------------------------------------
display_cycle4
;-------------------------------------------------------------------------------
#ifdef MONO
    LedOut  Br_reg,Ax_dir,0 
    bsf     Ax_dir,1 
    bsf     Ax_dir,2
    bsf     Ax_dir,4
#else
    LedOut  Bb_reg,Ax_dir,0   
    LedOut  Br_reg,Ax_dir,1   
    LedOut  Bg_reg,Ax_dir,2  
    bsf     Ax_dir,4
#endif

    banksel TRISA
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA

    banksel PORTA
    movlw   b'00100000'
    movwf   PORTA

    decfsz  fcount,f
    goto    display_cycle4

    goto return_display_cycle

